petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecDotNorm2

computes the inner product of two vectors and the 2-norm squared of the second vector

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecDotNorm2(Vec s,Vec t,PetscScalar *dp, PetscReal *nm)

Collective on Vec

### Input Parameter

| s | - first vector
| t | - second vector

### Output Parameter

| dp | - s'conj(t)
| nm | - t'conj(t)

### Notes

conj(x) is the complex conjugate of x when x is complex

### See Also

VecDot(), VecNorm(), VecDotBegin(), VecNormBegin(), VecDotEnd(), VecNormEnd()

### Keywords

vector, sqrt, square root

### Level

advanced

### Location

src/vec/vec/utils/vinv.c

### Implementations

VecDotNorm2_MPICUDA in src/vec/vec/impls/mpi/mpicuda/mpicuda.cu
VecDotNorm2_MPIViennaCL in src/vec/vec/impls/mpi/mpiviennacl/mpiviennacl.cxx
VecDotNorm2_Nest in src/vec/vec/impls/nest/vecnest.c
VecDotNorm2_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecDotNorm2_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages